Package: node-gulp / 4.0.2-8

remove-is-windows.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
This module is not required on GNU/Linux

--- a/is-absolute/index.js
+++ b/is-absolute/index.js
@@ -1,7 +1,7 @@
 'use strict';
 
 var isRelative = require('is-relative');
-var isWindows = require('is-windows');
+var isWindows = false;
 
 /**
  * Expose `isAbsolute`
@@ -20,7 +20,7 @@
   if (typeof fp !== 'string') {
     throw new TypeError('isAbsolute expects a string.');
   }
-  return isWindows() ? isAbsolute.win32(fp) : isAbsolute.posix(fp);
+  return isAbsolute.posix(fp);
 }
 
 /**